Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class RenderModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractActionModel
              org.springframework.webflow.engine.model.RenderModel

All Implemented Interfaces:
  Model

    public class RenderModel

extends AbstractActionModel

Model support for render actions.

Requests that the next view render a fragment of content. Multiple fragments may be specified using a comma delimiter.

Author:
  Scott Andrews

Constructor Summary
`RenderModel(java.lang.String fragments)` Create a render action model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getFragments()`
`void` | `setFragments(java.lang.String fragments)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractActionModel
`fillCopy, getAttributes, isMergeableWith, merge, setAttributes`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderModel

    public RenderModel(java.lang.String fragments)

  Create a render action model

  Parameters:
    `fragments` - the fragments to render

Method Detail

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getFragments

    public java.lang.String getFragments()

  Returns:
    the fragments

### setFragments

    public void setFragments(java.lang.String fragments)

  Parameters:
    `fragments` - the fragments to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD